RFR: 8172309: classpath wildcards code does not support --class-path
Martin Buchholz
martinrb at google.com
Tue Jan 31 23:18:47 UTC 2017
Can we have tests in sets of threes, checking -cp, -classpath,
--class-path (and perhaps also CLASSPATH environment)
--- a/test/tools/launcher/ClassPathWildCard.sh
+++ b/test/tools/launcher/ClassPathWildCard.sh
@@ -125,7 +125,7 @@
CheckFail TestA
rm -f TestB${OUTEXT}
- $JAVA${variant} -classpath JarDir/"*"$NOOP TestB || exit 1
+ $JAVA${variant} -cp JarDir/"*"$NOOP TestB || exit 1
CheckFail TestB
@@ -134,11 +134,11 @@
cp TestD/*.class JarDir
rm -f TestC${OUTEXT}
- $JAVA${variant} -classpath JarDir${PATHSEP}JarDir/"*"$NOOP TestC || exit 1
+ $JAVA${variant} --class-path JarDir${PATHSEP}JarDir/"*"$NOOP TestC || exit 1
CheckFail TestC
rm -f TestD${OUTEXT}
- $JAVA${variant} -classpath JarDir${PATHSEP}JarDir/"*"$NOOP TestD || exit 1
+ $JAVA${variant} --class-path=JarDir${PATHSEP}JarDir/"*"$NOOP TestD || exit 1
CheckFail TestD
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.openjdk.java.net/pipermail/compiler-dev/attachments/20170131/13e610ad/attachment.html>
More information about the compiler-dev
mailing list